Subject: Re: No leaves on my peach tree

From: [email-masked] (Ingrid K. Buxton)
Date: Sat, 06 Apr 1996 21:36:55 GMT

[email-masked] (weikel) wrote:

>I bought a dwarf peach tree which is growing on my balcony.  
>I bought it last year, and it seems to be doing well except
>for the fact that it hasn't grown any new leaves on its branches.
>There are leaves near the roots, and there are flowers on the 
>branches (one of which is forming a tiny green peach), but the
>branches are all bare of any leaves.

>Oh, I live in San Diego, California, by the way, so there is 
>no problem with frost or cold.
... flowering is interesting because I though peaches need some chill
before they would bloom... Ingrid